/*
 * Copyright (C) 2002 2003, Magnus Hjorth
 *
 * This file is part of mhWaveEdit.
 *
 * mhWaveEdit is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by        
 * the Free Software Foundation; either version 2 of the License, or  
 * (at your option) any later version.
 *
 * mhWaveEdit is distributed in the hope that it will be useful,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of  
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with mhWaveEdit; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 */


#ifndef FORMATSELECTOR_H_INCLUDED
#define FORMATSELECTOR_H_INCLUDED

#include <gtk/gtk.h>

#define FORMAT_SELECTOR(obj) GTK_CHECK_CAST(obj,format_selector_get_type(),FormatSelector)
#define FORMAT_SELECTOR_CLASS(klass) GTK_CHECK_CLASS_CAST(klass,format_selector_get_type(),FormatSelectorClass)
#define IS_FORMAT_SELECTOR(obj) GTK_CHECK_TYPE(obj,format_selector_get_type())

typedef struct {

     GtkTable table;

     GtkWidget *samplesize_widgets[4];
     GtkWidget *sign_widgets[2];

     guint samplesize;
     gboolean sign;

} FormatSelector;

typedef struct {
     GtkTableClass table_class;
} FormatSelectorClass;

GtkType format_selector_get_type(void);
GtkWidget *format_selector_new(void);
void format_selector_set(FormatSelector *fs, guint samplesize, gboolean sign);

#endif
