/*
 * Copyright (C) 2002 2003, Magnus Hjorth
 *
 * This file is part of mhWaveEdit.
 *
 * mhWaveEdit is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by        
 * the Free Software Foundation; either version 2 of the License, or  
 * (at your option) any later version.
 *
 * mhWaveEdit is distributed in the hope that it will be useful,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of  
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with mhWaveEdit; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 */

/* This contains the main procedure and some other useful procedures and macros. */

#ifndef MAIN_H_INCLUDED
#define MAIN_H_INCLUDED

#include <gtk/gtk.h>
#include <sys/time.h>

/* GTK compatibility stuff */
#if GTK_MAJOR_VERSION == 1
#define GTK_CLASS_TYPE(klass) (((GtkObjectClass *)klass)->type)
#define gtk_style_get_font(style) ((style)->font)
#else
#define GTK_WINDOW_DIALOG GTK_WINDOW_TOPLEVEL
#define gtk_object_class_add_signals(x,y,z)
#endif

/* Global stuff */
#define PROGRAM_VERSION_STRING PACKAGE " " VERSION

#define ARRAY_LENGTH(arr) (sizeof(arr)/sizeof((arr)[0]))
#define ARRAY_END(arr) (arr + ARRAY_LENGTH(arr))

extern gboolean quitflag;
extern GdkPixmap *icon;

/* Various functions */

int timeval_subtract(GTimeVal *result, GTimeVal *x, GTimeVal *y);

gboolean free2(gpointer key, gpointer value, gpointer user_data);

gchar *get_home_directory(void);

void do_yield(gboolean may_sleep);

void launch_mixer(void);

void mainloop(void);
extern gboolean idle_work_flag;

/* These are _not_ re-entrant */
GdkColor *color_black(void);
GdkColor *color_white(void);
GdkColor *color_red(void);
GdkColor *color_blue(void);
GdkColor *color_green(void);
GdkColor *color_grey(void);
GdkColor *color_selection(void);
GdkColor *color_mark(void);
GdkGC *gc_black(GtkWidget *w);
GdkGC *gc_red(GtkWidget *w);
GdkGC *gc_blue(GtkWidget *w);
GdkGC *gc_green(GtkWidget *w);
GdkGC *gc_grey(GtkWidget *w);
GdkGC *gc_selection(GtkWidget *w);
GdkGC *gc_mark(GtkWidget *w);

#endif
