/*
 * Copyright (C) 2003, Magnus Hjorth
 *
 * This file is part of mhWaveEdit.
 *
 * mhWaveEdit is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by        
 * the Free Software Foundation; either version 2 of the License, or  
 * (at your option) any later version.
 *
 * mhWaveEdit is distributed in the hope that it will be useful,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of  
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with mhWaveEdit; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 */


#ifndef VIEWCACHE_H_INCLUDED
#define VIEWCACHE_H_INCLUDED

#include "chunk.h"

typedef struct {
     Chunk *chunk;
     ChunkHandle *handle;
     gint start,end,xres;
     /* Number of samples to read for each line. 
	0 means consecutive mode, read all samples - used for long zoom-ins... */
     gint samples_per_pixel;
     sample_t *values;
     guint32 *offsets;
     gchar *calced;
} ViewCache;

ViewCache *view_cache_new(void);
void view_cache_free(ViewCache *vc);

gboolean view_cache_update(ViewCache *cache, Chunk *chunk, gint start_samp, 
			   gint end_samp, gint xres);

gboolean view_cache_uptodate(ViewCache *cache);

void view_cache_draw(ViewCache *cache, GdkDrawable *d, gint yres, GtkWidget *wid);

#endif
